petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSTRUMPACKSetHSSMinSepSize

Set STRUMPACK minimum separator size for low-rank approximation Logically Collective on Mat

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetHSSMinSepSize(Mat F,PetscInt hssminsize)

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-STRUMPACK interface
| hssminsize | - minimum dense matrix size for low-rank approximation

### Options Database

-mat_strumpack_hss_min_sep_size <hssminsize> -

### References

STRUMPACK manual -

### See Also

MatGetFactor()

### Level

beginner

### Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html

### Implementations

MatSTRUMPACKSetHSSMinSepSize_STRUMPACK in src/mat/impls/aij/mpi/strumpack/strumpack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages